Package org.apache.sling.cms.reference.models

## Class ItemList

- java.lang.Object
- - org.apache.sling.cms.reference.models.ItemList

    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class)
    public class ItemList
    extends Object

Model for retrieving a list of items from the Sling repository using a JCR SQL2 query.

### Constructor Summary

Constructors
`ItemList​(org.apache.sling.api.SlingHttpServletRequest request, String limit, String query)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCount()`
`int` `getCurrentPage()`
`int` `getEnd()`
`List<org.apache.sling.api.resource.Resource>` `getItems()`
`Integer[]` `getPages()`
`String` `getQuery()`
`int` `getStart()`
`boolean` `isFirst()`
`boolean` `isLast()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ItemList

    @Inject
    public ItemList​(org.apache.sling.api.SlingHttpServletRequest request,
                    @Named("limit")
                    String limit,
                    @Named("query")
                    String query)

### Method Detail

#### getCount

    public int getCount()

#### getCurrentPage

    public int getCurrentPage()

#### getEnd

    public int getEnd()

#### getPages

    public Integer[] getPages()

#### getQuery

    public String getQuery()

#### getItems

    public List<org.apache.sling.api.resource.Resource> getItems()

#### getStart

    public int getStart()

#### isFirst

    public boolean isFirst()

#### isLast

    public boolean isLast()